Error when i publish Ect_provider

Error when i publish Ect_provider

  
Hi all

I got the following errors when i published ECT_provider

'Espace_Version' Entity is incompatible with the '(System)' reference definition. Application runtime errors might occur.

Unable to access url 'http://localhost/ECT_Client_Connector/ECT_Server_Connector?wsdl' to verify if 'ECT_Server_ConnectorJ2EE (ECT_Server_Connector)' web reference is up-to-date.

I am using Outsystems Platform Version 7.0.0.9

ANy ideas how i will solve this error?

Thanks
Matheos
Hi Matheos,

What version of the System Components are you trying to publish? ECT_Provider belongs to the System Components and should always match your Platform version.
The solution file is at C:\Program Files\OutSystems\Platform Server\System_Components.osp .

If the problem continues you can also do a publish running version of the solution in Service Center. That will refresh all the incompatible references ..but there shouldn't be any if the System Components version match your server installation. 

(The "Unable to access url" warning is ok, since it's a url just for the java version. So it's normal for you to have that warning)

Note: also, its a pretty old installation, what about an update to the latest version?

Regards,
João Rosado
Hi Joao

I was trying to setup the ect_provider and i found that the espace uses proke reference "Producer '(System)' elements... Espace_version"

The systems Componets is version 7.0.0.16. I forgot to upgrade my test server from 7.0.0.9 to 7.0.0.16 :(

What is the latest running version on version 7?

Thanks

Matheos
Hi Matheos,

Nice to see that you found the problem :)

Latest version from 7 is 7.0.1.13 (17/05/2013) at the moment.
The 7.0.0.16 was released on 26/10/2012 :) still pretty old.


Regards,
João Rosado